aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2022-06-18 19:47:55 +0000
committerpsykose <alice@ayaya.dev>2022-06-18 21:47:55 +0200
commitcaeb4d16e340b00b6882a97576a48579c5c018c8 (patch)
tree2cd50a7071ba7c4dcc3b589154804ff91bf1ae2f
parentfc1c420c1d78cc3d53b2507990491190b34e3f59 (diff)
downloadaports-caeb4d16e340b00b6882a97576a48579c5c018c8.tar.gz
aports-caeb4d16e340b00b6882a97576a48579c5c018c8.tar.bz2
aports-caeb4d16e340b00b6882a97576a48579c5c018c8.tar.xz
testing/libebur128: build with samurai
-rw-r--r--testing/libebur128/APKBUILD9
1 files changed, 4 insertions, 5 deletions
diff --git a/testing/libebur128/APKBUILD b/testing/libebur128/APKBUILD
index 609f520a52..e1f792233e 100644
--- a/testing/libebur128/APKBUILD
+++ b/testing/libebur128/APKBUILD
@@ -2,23 +2,22 @@
# Maintainer: psykose <alice@ayaya.dev>
pkgname=libebur128
pkgver=1.2.6
-pkgrel=0
+pkgrel=1
pkgdesc="Library implementing the EBU R128 loudness standard"
url="https://github.com/jiixyj/libebur128"
arch="all"
license="MIT"
options="!check" # needs extra unpackaged wav files
-makedepends="cmake"
+makedepends="cmake samurai"
subpackages="$pkgname-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/jiixyj/libebur128/archive/refs/tags/v$pkgver.tar.gz"
build() {
- cmake -B build \
+ cmake -B build -G Ninja \
-DCMAKE_BUILD_TYPE=MinSizeRel \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib \
- -DCMAKE_VERBOSE_MAKEFILE=1 \
- -DENABLE_TESTS=OFF
+ -DENABLE_TESTS="$(want_check && echo ON || echo OFF)"
cmake --build build
}